App\Entity\EtatStock:
    type: entity
    table: etat_stock
    fields:
        id:
            id: true
            type: integer
            unsigned: false
            nullable: false
            generator:
                strategy: IDENTITY
        nombreCommandeJournee:
            type: integer
            nullable: true
        totalVenteJournee:
            type: float
            nullable: true
        totalVenteEspece:
            type: float
            nullable: true
        totalVenteCheque:
            type: float
            nullable: true
        totalVenteCompte:
            type: float
            nullable: true
        totalResteJournee:
            type: float
            nullable: true
        totalAchatJournee:
            type: float
            nullable: true
        totalDepenseJournee:
            type: float
            nullable: true
        nombreProduit:
            type: float
            nullable: true
        prixAchatTotal:
            type: float
            nullable: true
        prixVenteTotal:
            type: float
            nullable: true
        notes:
            type: text
            nullable: true
        dateEtat:
            type: datetime
            nullable: true
        dateSortie:
            type: datetime
            nullable: true
        dateInsertion:
            type: datetime
            nullable: true
    oneToMany:
        eproduits:
            targetEntity: EtatProduit
            mappedBy: etatStock
            cascade: [persist]
            orphanRemoval: true
            orderBy:
              emplacement: ASC
    manyToOne:
        magasin:
            targetEntity: Magasin
            cascade: {  }
            mappedBy: null
            inversedBy: etats
            joinColumns:
                magasin_id:
                    referencedColumnName: id
            orphanRemoval: false